---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libAddToBootstrapClassLoaderSearch.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51790, symBinAddr: 0x6EF0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x536D0, symBinAddr: 0x8E30, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53AC0, symBinAddr: 0x9220, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54A60, symBinAddr: 0xA1C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54A70, symBinAddr: 0xA1D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6C170, symBinAddr: 0x218D0, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x512D0, symBinAddr: 0x6C60, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x512D4, symBinAddr: 0x6C64, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x512D8, symBinAddr: 0x6C68, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51420, symBinAddr: 0x6C70, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x514D8, symBinAddr: 0x6D28, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x514DC, symBinAddr: 0x6D2C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x514E0, symBinAddr: 0x6D30, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x514E4, symBinAddr: 0x6D34, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x514E8, symBinAddr: 0x6D38, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x514F0, symBinAddr: 0x6D40, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51508, symBinAddr: 0x6D58, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51510, symBinAddr: 0x6D60, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51518, symBinAddr: 0x6D68, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51520, symBinAddr: 0x6D70, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51528, symBinAddr: 0x6D78, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL7segment, symObjAddr: 0xE260, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL13iGlobalStatus, symObjAddr: 0x5156C, symBinAddr: 0x6D8C, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51570, symBinAddr: 0x6D90, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL16boot_class_count, symObjAddr: 0x51578, symBinAddr: 0x6D98, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51580, symBinAddr: 0x6DA0, symSize: 0x0 }
  - { offsetInCU: 0x9164, offset: 0x9164, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x516B8, symBinAddr: 0x6ED8, symSize: 0x0 }
  - { offsetInCU: 0x91B6, offset: 0x91B6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1270, symSize: 0x80 }
  - { offsetInCU: 0x924B, offset: 0x924B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x11C0, symSize: 0xB0 }
  - { offsetInCU: 0x92A6, offset: 0x92A6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x10C0, symSize: 0x100 }
  - { offsetInCU: 0x9539, offset: 0x9539, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x12F0, symSize: 0x220 }
  - { offsetInCU: 0x971E, offset: 0x971E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1510, symSize: 0xA0 }
  - { offsetInCU: 0x97D1, offset: 0x97D1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x15B0, symSize: 0x110 }
  - { offsetInCU: 0x98C7, offset: 0x98C7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x16C0, symSize: 0x150 }
  - { offsetInCU: 0x99F8, offset: 0x99F8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1810, symSize: 0x30 }
  - { offsetInCU: 0x9AB9, offset: 0x9AB9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1840, symSize: 0x150 }
  - { offsetInCU: 0x9CB1, offset: 0x9CB1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1990, symSize: 0x160 }
  - { offsetInCU: 0x9E3D, offset: 0x9E3D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1AF0, symSize: 0x1B0 }
  - { offsetInCU: 0xA058, offset: 0xA058, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1CA0, symSize: 0xA0 }
  - { offsetInCU: 0xA127, offset: 0xA127, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1D40, symSize: 0x20 }
  - { offsetInCU: 0xA15E, offset: 0xA15E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1D60, symSize: 0x20 }
  - { offsetInCU: 0xA195, offset: 0xA195, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1D80, symSize: 0x20 }
  - { offsetInCU: 0xA324, offset: 0xA324, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1DA0, symSize: 0x1A0 }
  - { offsetInCU: 0xA642, offset: 0xA642, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1F40, symSize: 0x80 }
  - { offsetInCU: 0xA70B, offset: 0xA70B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1FC0, symSize: 0x6C0 }
  - { offsetInCU: 0xB281, offset: 0xB281, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3C0, symBinAddr: 0x33E0, symSize: 0xB0 }
  - { offsetInCU: 0xB2F8, offset: 0xB2F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2680, symSize: 0x70 }
  - { offsetInCU: 0xB3B4, offset: 0xB3B4, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x26F0, symSize: 0xA0 }
  - { offsetInCU: 0xB4BF, offset: 0xB4BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2790, symSize: 0x40 }
  - { offsetInCU: 0xB5B5, offset: 0xB5B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x27D0, symSize: 0x2B0 }
  - { offsetInCU: 0xB95B, offset: 0xB95B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2A80, symSize: 0xC0 }
  - { offsetInCU: 0xBAA1, offset: 0xBAA1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2B40, symSize: 0x10 }
  - { offsetInCU: 0xBB63, offset: 0xBB63, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2B50, symSize: 0x240 }
  - { offsetInCU: 0xBE4C, offset: 0xBE4C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2D90, symSize: 0x10 }
  - { offsetInCU: 0xBEA9, offset: 0xBEA9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2DA0, symSize: 0x300 }
  - { offsetInCU: 0xC284, offset: 0xC284, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0xA030, symBinAddr: 0x30B0, symSize: 0xC0 }
  - { offsetInCU: 0xC2B8, offset: 0xC2B8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA020, symBinAddr: 0x30A0, symSize: 0x10 }
  - { offsetInCU: 0xC315, offset: 0xC315, size: 0x8, addend: 0x0, symName: _vmStart, symObjAddr: 0xA0F0, symBinAddr: 0x3170, symSize: 0x60 }
  - { offsetInCU: 0xC398, offset: 0xC398, size: 0x8, addend: 0x0, symName: _vmDeath, symObjAddr: 0xA150, symBinAddr: 0x31D0, symSize: 0x60 }
  - { offsetInCU: 0xC41B, offset: 0xC41B, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0xA1B0, symBinAddr: 0x3230, symSize: 0x60 }
  - { offsetInCU: 0xC49E, offset: 0xC49E, size: 0x8, addend: 0x0, symName: _NativeMethodBind, symObjAddr: 0xA210, symBinAddr: 0x3290, symSize: 0xB0 }
  - { offsetInCU: 0xC59A, offset: 0xC59A, size: 0x8, addend: 0x0, symName: _classFileLoadEvent, symObjAddr: 0xA2C0, symBinAddr: 0x3340, symSize: 0x60 }
  - { offsetInCU: 0xC64E, offset: 0xC64E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_AddToBootstrapClassLoaderSearch_JvmtiTest_GetResult, symObjAddr: 0xA380, symBinAddr: 0x33A0, symSize: 0x40 }
  - { offsetInCU: 0xC687, offset: 0xC687, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA470, symBinAddr: 0x3490, symSize: 0x36A }
...
